darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Prim.V1.Apply

Contents

- Orphan instances

# Orphan instances

Apply Prim # |

Instance details

Associated Types

type ApplyState Prim |
Instance details Defined in Darcs.Patch.Prim.V1.Apply type ApplyState Prim = Tree

Methods

apply :: ApplyMonad (ApplyState Prim) m => Prim wX wY -> m () #

unapply :: ApplyMonad (ApplyState Prim) m => Prim wX wY -> m () #

PrimApply Prim # |
Instance details Methods applyPrimFL :: ApplyMonad (ApplyState Prim) m => FL Prim wX wY -> m () #
RepairToFL Prim # |
Instance details Methods applyAndTryToFixFL :: ApplyMonad (ApplyState Prim) m => Prim wX wY -> m (Maybe (String, FL Prim wX wY)) #